Package org.apache.wiki.spi

# Class SessionSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.SessionSPIDefaultImpl

All Implemented Interfaces:
  `SessionSPI`

public class SessionSPIDefaultImpl extends Object implements SessionSPI
Default implementation for `SessionSPI`

See Also:
  - `SessionSPI`

## Constructor Summary

Constructors
Constructor
Description
`SessionSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`Session`
`find(Engine engine, javax.servlet.http.HttpServletRequest request)`
`Session`
`guest(Engine engine)`
`void`
`remove(Engine engine, javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionSPIDefaultImpl

public SessionSPIDefaultImpl()

## Method Details

### remove

public void remove(Engine engine, javax.servlet.http.HttpServletRequest request)

Specified by:
  `remove` in interface `SessionSPI`

### find

public Session find(Engine engine, javax.servlet.http.HttpServletRequest request)

Specified by:
  `find` in interface `SessionSPI`

### guest

public Session guest(Engine engine)

Specified by:
  `guest` in interface `SessionSPI`